<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.node.Node Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>node</b>.<a class="el" href="classtiovx_1_1node_1_1Node.html">Node</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.node.Node Class Reference<br/>
<small>
[<a class="el" href="group__FRAMEWORK.html">3: Framework Object APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::node::Node" --><!-- doxytag: inherits="Reference" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p><a class="el" href="classtiovx_1_1node_1_1Node.html" title="Node object (OpenVX equivalent = vx_node).">Node</a> object (OpenVX equivalent = vx_node). </p>
<p>This object is base class for specific nodes which inherit from this class. Some basic checks like parameter matching is done by this class. Inherited node classes can do additional parameter checking.</p>
<p><a class="el" href="classtiovx_1_1node_1_1Node.html" title="Node object (OpenVX equivalent = vx_node).">Node</a> is created by using below syntax.</p>
<div class="fragment"><pre class="fragment"> <span class="keyword">from</span> tiovx <span class="keyword">import</span> *

 my_node1 = Node&lt;Name&gt;(&lt;data object param&gt;, &lt;data object param&gt;, ..., name=<span class="stringliteral">&quot;&lt;string&gt;&quot;</span>, target=Target.&lt;Target Name&gt;)

 <span class="comment"># node needs to be added to a graph</span>
 my_graph.add(my_node1)

 <span class="comment"># a more compact way to the same is</span>
 my_graph.add( Node&lt;Name&gt;(&lt;data object param&gt;, &lt;data object param&gt;, ..., name=<span class="stringliteral">&quot;&lt;string&gt;&quot;</span>, target=Target.&lt;Target Name&gt;))
</pre></div><p>Each node can take optional parameter of 'name' and 'target' as input. <br/>
 <b>'name'</b> is used to given a user readable name to the node which can be seen later in the generated code, image <br/>
 <b>'target'</b> is used to specify the target on which the node will run when executed. See <a class="el" href="classtiovx_1_1enums_1_1Target.html" title="Target on which to execute a node (TIOVX equivalent = TIVX_TARGET_xxxx).">tiovx.enums.Target</a> for list of supported targets.</p>
<dl class="user"><dt><b>Example Usage: Create nodes and add to graph</b></dt><dd></dd></dl>
<div class="fragment"><pre class="fragment"> <span class="keyword">from</span> tiovx <span class="keyword">import</span> *

 <span class="comment"># create a node Sobel3x3 and add to graph object.</span>
 <span class="comment"># target is specified as DSP1</span>
 graph.add ( NodeSobel3x3(in_image, grad_x, grad_y, target=Target.DSP1) )

 <span class="comment"># create a node Phase and add to graph object.</span>
 <span class="comment"># target is specified as DSP2</span>
 graph.add ( NodePhase(grad_x, grad_y, phase, target=Target.DSP2) )

 <span class="comment"># create a custom node, as defined in next example and add to graph</span>
 graph.add ( NodePhaseRgb(phase, phase_rgb, target=Target.DSP1) )
</pre></div><p>Users can inherit from <a class="el" href="classtiovx_1_1node_1_1Node.html" title="Node object (OpenVX equivalent = vx_node).">Node</a> class to define their own custom nodes. <br/>
 <b>NOTE: </b>Users need not modify this file to inherit from <a class="el" href="classtiovx_1_1node_1_1Node.html" title="Node object (OpenVX equivalent = vx_node).">Node</a> class. <br/>
 Below code snippet shows one such example</p>
<dl class="user"><dt><b>Example Usage: Create custom node class from base class</b></dt><dd></dd></dl>
<div class="fragment"><pre class="fragment"> <span class="keyword">from</span> tiovx <span class="keyword">import</span> *

 <span class="comment"># inherit custom node class from tiobx.node.Node</span>
 <span class="keyword">class </span>NodePhaseRgb (Node) :
     <span class="comment"># implement constructor</span>
     <span class="comment"># first list all input and output parameter data objects</span>
     <span class="comment"># next provide optional parameters of name and target</span>
     <span class="keyword">def </span>__init__(self, image_in, image_out, name=&quot;default&quot;, target=Target.DEFAULT) :
         <span class="comment"># call base class constructor with string of kernel name and list of parameters.</span>
         <span class="comment"># This string of kernel name is later used to create the node</span>
         Node.__init__(self, <span class="stringliteral">&quot;vx_tutorial_graph.phase_rgb&quot;</span>, image_in, image_out)
         <span class="comment"># Tell base how many of the parameters are input and how many are output</span>
         <span class="comment"># Also tell the data object type of the parameter</span>
         <span class="comment"># This is used by base class to do type checking</span>
         self.setParams(1, 1, Type.IMAGE, Type.IMAGE)
         <span class="comment"># Call base class API to set user provided target</span>
         self.setTarget(target)
         <span class="comment"># Tell base class that this is a user kernel and not a OpenVX specified kernel</span>
         self.setKernelEnumName(<span class="stringliteral">&quot;VX_USER_KERNEL&quot;</span>)

     <span class="comment"># implement function to do parameter checking</span>
     <span class="comment"># if not implemented then base class will do basic parameter checking like type checking</span>
     <span class="keyword">def </span>checkParams(self, *param_type_args) :
         <span class="comment"># first call base class parameter checker</span>
         Node.checkParams(self, *param_type_args)
         <span class="comment"># Now add additional error conditions over the base class ones</span>
         <span class="keyword">assert</span> ( self.ref[0].width    == self.ref[1].width ), <span class="stringliteral">&quot;Input and Output width MUST match&quot;</span>
         <span class="keyword">assert</span> ( self.ref[0].height   == self.ref[1].height ), <span class="stringliteral">&quot;Input and Output height MUST match&quot;</span>
         <span class="keyword">assert</span> ( self.ref[0].df_image == DfImage.U8 ), <span class="stringliteral">&quot;Input data format must be U8&quot;</span>
         <span class="keyword">assert</span> ( self.ref[1].df_image == DfImage.RGB ), <span class="stringliteral">&quot;Output data format must be RGB&quot;</span>
</pre></div><p>Given below is the table of built-in kernels within PyTIOVX.</p>
<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr bgcolor="lightgrey">
<td><p><a class="el" href="classtiovx_1_1node_1_1Node.html" title="Node object (OpenVX equivalent = vx_node).">Node</a> class name  </p>
</td><td><p>Parameter data object types (listed in order in which they need to be passed to the <a class="el" href="classtiovx_1_1node_1_1Node.html" title="Node object (OpenVX equivalent = vx_node).">Node</a> class constructor)   </p>
</td></tr>
<tr>
<td><p>NodeAbsDiff  </p>
</td><td><p>[in] IMAGE <br/>
 [in] IMAGE <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeAccumulateImage  </p>
</td><td><p>[in] IMAGE <br/>
 [in] IMAGE <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeAccumulateSquareImage <br/>
 NodeAccumulateWeightedImage  </p>
</td><td><p>[in] IMAGE <br/>
 [in] SCALAR <br/>
 [in] IMAGE <br/>
 [out] IMAGE  </p>
</td></tr>
<tr>
<td><p>NodeAdd <br/>
 NodeSubtract </p>
</td><td><p>[in] IMAGE <br/>
 [in] IMAGE <br/>
 [in] SCALAR <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeAnd <br/>
 NodeXor <br/>
 NodeOr  </p>
</td><td><p>[in] IMAGE <br/>
 [in] IMAGE <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeNot  </p>
</td><td><p>[in] IMAGE <br/>
 [out] IMAGE<br/>
  </p>
</td></tr>
<tr>
<td><p>NodeBox3x3 <br/>
 NodeDilate3x3 <br/>
 NodeErode3x3 <br/>
 NodeGaussian3x3 <br/>
 NodeMedian3x3 </p>
</td><td><p>[in] IMAGE <br/>
 [out] IMAGE<br/>
  </p>
</td></tr>
<tr>
<td><p>NodeCannyEdgeDetector  </p>
</td><td><p>[in] IMAGE <br/>
 [in] THRESHOLD <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [in] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeChannelCombine  </p>
</td><td><p>[in] IMAGE <br/>
 [in] IMAGE <br/>
 [in] IMAGE <br/>
 [in] IMAGE <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeChannelExtract  </p>
</td><td><p>[in] IMAGE <br/>
 [in] SCALAR <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeColorConvert  </p>
</td><td><p>[in] IMAGE <br/>
 [out] IMAGE<br/>
  </p>
</td></tr>
<tr>
<td><p>NodeConvertDepth  </p>
</td><td><p>[in] IMAGE <br/>
 [out] IMAGE<br/>
 [in] ENUM <br/>
 [in] SCALAR  </p>
</td></tr>
<tr>
<td><p>NodeConvolve  </p>
</td><td><p>[in] IMAGE <br/>
 [in] CONVOLUTION <br/>
 [out] IMAGE   </p>
</td></tr>
<tr>
<td><p>NodeEqualizeHist  </p>
</td><td><p>[in] IMAGE <br/>
 [in] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeFastCorners  </p>
</td><td><p>[in] IMAGE <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [out] ARRAY <br/>
 [out] SCALAR <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeNonLinearFilter  </p>
</td><td><p>[in] SCALAR <br/>
 [in] IMAGE <br/>
 [in] MATRIX <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeHarrisCorners  </p>
</td><td><p>[in] IMAGE <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [out] ARRAY <br/>
 [out] SCALAR <br/>
   </p>
</td></tr>
<tr>
<td><p>NodeHistogram  </p>
</td><td><p>[in] IMAGE <br/>
 [out] DISTRIBUTION <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeGaussianPyramid  </p>
</td><td><p>[in] IMAGE <br/>
 [out] PYRAMID <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeLaplacianPyramid  </p>
</td><td><p>[in] IMAGE <br/>
 [out] PYRAMID <br/>
 [out] IMAGE  </p>
</td></tr>
<tr>
<td><p>NodeLaplacianReconstruct  </p>
</td><td><p>[in] PYRAMID <br/>
 [in] IMAGE <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeIntegralImage  </p>
</td><td><p>[in] IMAGE <br/>
 [out] IMAGE<br/>
  </p>
</td></tr>
<tr>
<td><p>NodeMagnitude <br/>
 NodePhase  </p>
</td><td><p>[in] IMAGE <br/>
 [in] IMAGE <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeMeanStdDev  </p>
</td><td><p>[in] IMAGE <br/>
 [out] SCALAR <br/>
 [out] SCALAR <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeMinMaxLoc  </p>
</td><td><p>[in] IMAGE <br/>
 [out] SCALAR <br/>
 [out] SCALAR <br/>
 [out] ARRAY <br/>
 [out] ARRAY <br/>
 [out] SCALAR <br/>
 [out] SCALAR <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeOpticalFlowPyrLK  </p>
</td><td><p>[in] PYRAMID <br/>
 [in] PYRAMID <br/>
 [in] ARRAY <br/>
 [in] ARRAY <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [out] ARRAY <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeMultiply  </p>
</td><td><p>[in] IMAGE <br/>
 [in] IMAGE <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [in] SCALAR <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeRemap  </p>
</td><td><p>[in] IMAGE <br/>
 [in] REMAP <br/>
 [in] SCALAR <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeScaleImage <br/>
 NodeHalfScaleGaussian  </p>
</td><td><p>[in] IMAGE <br/>
 [out] IMAGE <br/>
 [in] SCALAR <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeSobel3x3  </p>
</td><td><p>[in] IMAGE <br/>
 [out] IMAGE <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeTableLookup  </p>
</td><td><p>[in] IMAGE <br/>
 [in] LUT <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeThreshold  </p>
</td><td><p>[in] IMAGE <br/>
 [in] THRESHOLD <br/>
 [out] IMAGE <br/>
  </p>
</td></tr>
<tr>
<td><p>NodeWarpAffine <br/>
 NodeWarpPerspective  </p>
</td><td><p>[in] IMAGE <br/>
 [in] MATRIX <br/>
 [in] SCALAR <br/>
 [out] IMAGE  </p>
</td></tr>
</table>

<p><a href="classtiovx_1_1node_1_1Node-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1node_1_1Node.html#af51001bc8d3ca4c2f7731d34bfb07df2">__init__</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor for base class.  <a href="#af51001bc8d3ca4c2f7731d34bfb07df2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1node_1_1Node.html#ae99456eb0d080e13c10af64a81b9c7dd">checkParams</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameter checking function.  <a href="#ae99456eb0d080e13c10af64a81b9c7dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1node_1_1Node.html#a395dd2a112772d424b0a6e6098d3f4af">setParams</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specify number of input/output parameters and data object type for each.  <a href="#a395dd2a112772d424b0a6e6098d3f4af"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1node_1_1Node.html#a6c04144e25e1d42987b5cd715d480d7a">setTarget</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specify target on which to run this node.  <a href="#a6c04144e25e1d42987b5cd715d480d7a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1node_1_1Node.html#a9b4bb3e06fb159fbde85dbb9a5d58f3e">setKernelEnumName</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specify kernel enum name to use.  <a href="#a9b4bb3e06fb159fbde85dbb9a5d58f3e"></a><br/></td></tr>
</table>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af51001bc8d3ca4c2f7731d34bfb07df2"></a><!-- doxytag: member="tiovx::node::Node::__init__" ref="af51001bc8d3ca4c2f7731d34bfb07df2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.node.Node.__init__ </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>kernel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>args</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor for base class. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>kernel</em>&nbsp;</td><td>[in] kernel name of type string. Used to create OpenVX node. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>args</em>&nbsp;</td><td>[in] Variable number of args list of parameter data objects </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae99456eb0d080e13c10af64a81b9c7dd"></a><!-- doxytag: member="tiovx::node::Node::checkParams" ref="ae99456eb0d080e13c10af64a81b9c7dd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.node.Node.checkParams </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>param_type_args</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parameter checking function. </p>
<p>Checks if number of parameters passed is correct Checks if data type of parameters passed is correct</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>param_type_args</em>&nbsp;</td><td>[in] Variable number of args list of type <a class="el" href="classtiovx_1_1enums_1_1Type.html" title="Object/Data type (OpenVX equivalent = vx_type_e).">tiovx.enums.Type</a> to specify data object types </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a395dd2a112772d424b0a6e6098d3f4af"></a><!-- doxytag: member="tiovx::node::Node::setParams" ref="a395dd2a112772d424b0a6e6098d3f4af" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.node.Node.setParams </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>num_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>num_out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>param_type_args</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Specify number of input/output parameters and data object type for each. </p>
<p>Assumes input parameters are followed by output parameters. It is recommended user kernels follow this convention.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>num_in</em>&nbsp;</td><td>[in] Number of inputs </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>num_out</em>&nbsp;</td><td>[in] Number of outputs </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>param_type_args</em>&nbsp;</td><td>[in] Variable number of args list of type <a class="el" href="classtiovx_1_1enums_1_1Type.html" title="Object/Data type (OpenVX equivalent = vx_type_e).">tiovx.enums.Type</a> to specify data object types. <br/>
 Number of arguments MUST match num_in+num_out </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6c04144e25e1d42987b5cd715d480d7a"></a><!-- doxytag: member="tiovx::node::Node::setTarget" ref="a6c04144e25e1d42987b5cd715d480d7a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.node.Node.setTarget </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>target</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Specify target on which to run this node. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>target</em>&nbsp;</td><td>[in] Object of type <a class="el" href="classtiovx_1_1enums_1_1Target.html" title="Target on which to execute a node (TIOVX equivalent = TIVX_TARGET_xxxx).">tiovx.enums.Target</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9b4bb3e06fb159fbde85dbb9a5d58f3e"></a><!-- doxytag: member="tiovx::node::Node::setKernelEnumName" ref="a9b4bb3e06fb159fbde85dbb9a5d58f3e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.node.Node.setKernelEnumName </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>kernel_enum_name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Specify kernel enum name to use. </p>
<p>Use "VX_USER_KERNEL" as 'kernel_enum_name' for custom/user kernels </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>kernel_enum_name</em>&nbsp;</td><td>[in] Type string. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
